#! /usr/bin/perl

#######################################
# smc.pl by ivan@bessarabov.ru
# 
# The goal of this script is to create
# as simple cms, as possible.
# 
# This scripts get parameter page. It
# finds the template with the content
# of this page and pastes it into the
# main template file.
#######################################

use strict;
use warnings;

use Template;
use CGI qw(param);
use lib qw(../inc);
use i18n;

# В переменой $vars содержится структура данных,
# которая передается в шаблонизатор template toolkit
my $vars;

$vars->{system}{login} = "bessarabov";
$vars->{system}{dow} = loc("thursday");

# getting the page param
my $page = param("page");

# The situation when no page
# specified
unless ($page) { $page = "index.tt"; }

# The directory where the templates are 
my $dir = "../root";

# Magic words to say browswer that this
# is a web page
if ( substr($page, length($page)-5, 5) eq "js.tt" ) {
    print "Content-type: text/javascript\n\n";
} else {
    print "Content-type: text/html\n\n";
}

# Creating TT object
my $tt = Template->new({
        INCLUDE_PATH => $dir,
        INTERPOLATE  => 1,
        FILTERS => {
            'loc' =>   [\&i18n::l, 1]
        },
}) || die "$Template::ERROR\n";

# Printing the result to browser
$tt->process("$page", $vars)
   || die $tt->error(), "\n";

